VERSION 5.00
Begin VB.UserControl UserControl1 
   BackColor       =   &H00E0E0E0&
   ClientHeight    =   285
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1515
   ScaleHeight     =   285
   ScaleWidth      =   1515
   Begin VB.Image cmdUserMin 
      Height          =   240
      Left            =   90
      Picture         =   "FitForm.ctx":0000
      Stretch         =   -1  'True
      Top             =   30
      Width           =   240
   End
   Begin VB.Image cmdUserClose 
      Height          =   240
      Left            =   1185
      Picture         =   "FitForm.ctx":014A
      Stretch         =   -1  'True
      Top             =   15
      Width           =   240
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   450
      TabIndex        =   0
      Top             =   60
      Width           =   45
   End
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Dim xpos, ypos As Single
Dim ActvClr As ColorConstants
Private WithEvents ParentForm As Form
Attribute ParentForm.VB_VarHelpID = -1
Dim Displaced As Boolean
'Default Property Values:
Const m_def_FormBorder = 0
Const m_def_InActiveColor = 0
Dim m_InActiveColor As OLE_COLOR
'Event Declarations:
Event DblClick()
Attribute DblClick.VB_Description = "Occurs when the user presses and releases a mouse button and then presses and releases it again over an object."
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Attribute MouseDown.VB_Description = "Occurs when the user presses the mouse button while an object has the focus."
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Attribute MouseMove.VB_Description = "Occurs when the user moves the mouse."
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Attribute MouseUp.VB_Description = "Occurs when the user releases the mouse button while an object has the focus."
'Property Variables:
Dim m_FormBorder As Variant

Private Sub cmdUserClose_Click()
    Unload ParentForm
End Sub

Private Sub cmdUserMin_Click()
    ParentForm.WindowState = 1
End Sub

Private Sub Label1_DblClick()
    UserControl_DblClick
End Sub

Private Sub Label1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Call UserControl_MouseDown(Button, Shift, X, Y)
End Sub

Private Sub Label1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Call UserControl_MouseMove(Button, Shift, X, Y)
End Sub

Private Sub ParentForm_Activate()
    UserControl.BackColor = ActvClr
    Label1.BackColor = ActvClr
End Sub

Private Sub ParentForm_Deactivate()
    UserControl.BackColor = m_InActiveColor
    Label1.BackColor = m_InActiveColor
End Sub

Private Sub ParentForm_Resize()
    m_FormBorder = Extender.Parent.BorderStyle
    PropertyChanged "m_FormBorder"
    Extender.Move 2, 2, ParentForm.ScaleWidth, 280
End Sub

Private Sub UserControl_DblClick()
    If ParentForm.WindowState = 2 Then
        ParentForm.WindowState = 0
    Else
        ParentForm.WindowState = 2
    End If
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    xpos = X
    ypos = Y
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If (ParentForm.WindowState <> 1 And ParentForm.WindowState <> 2) Then
        If Button = 1 Then
            ParentForm.Left = ParentForm.Left + (X - xpos)
            ParentForm.Top = ParentForm.Top + (Y - ypos)
        End If
    End If
End Sub

Private Sub UserControl_Paint()
    Extender.Top = 0
    Extender.Left = 0
    Extender.Height = 280
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    m_InActiveColor = PropBag.ReadProperty("InActiveColor", m_def_InActiveColor)
    Set Label1.Font = PropBag.ReadProperty("Font", Ambient.Font)
    Label1.ForeColor = PropBag.ReadProperty("ForeColor", &H80000012)
    m_FormBorder = PropBag.ReadProperty("FormBorder", m_def_FormBorder)
    Label1.Caption = PropBag.ReadProperty("Caption", "")
    UserControl.BackColor = PropBag.ReadProperty("ActiveColor", &HE0E0E0)
    ActvClr = UserControl.BackColor
    If Ambient.UserMode Then
        Set ParentForm = UserControl.Parent
    End If
End Sub

Private Sub UserControl_Resize()
Dim ctrl As Object
    If Extender.Parent.Caption <> "" Then
        Caption = Extender.Parent.Caption
        PropertyChanged "Caption"
        Extender.Parent.Caption = ""
    End If
    Label1.Left = (UserControl.Width - Label1.Width) / 2
    Label1.BackColor = UserControl.BackColor
    Extender.Width = Extender.Parent.ScaleWidth
    cmdUserClose.Left = UserControl.Width - cmdUserClose.Width - 90
    If Displaced <> True Then
        For Each ctrl In Extender.Parent
            ctrl.Top = ctrl.Top + UserControl.Height
        Next
        Displaced = True
        Extender.Parent.BorderStyle = m_FormBorder
        Extender.Parent.Height = Extender.Parent.Height + UserControl.Height
    End If
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=10,0,0,0
Public Property Get InActiveColor() As OLE_COLOR
    InActiveColor = m_InActiveColor
End Property

Public Property Let InActiveColor(ByVal New_InActiveColor As OLE_COLOR)
    m_InActiveColor = New_InActiveColor
    PropertyChanged "InActiveColor"
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_InActiveColor = m_def_InActiveColor
    m_FormBorder = m_def_FormBorder
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("InActiveColor", m_InActiveColor, m_def_InActiveColor)
    Call PropBag.WriteProperty("Font", Label1.Font, Ambient.Font)
    Call PropBag.WriteProperty("ForeColor", Label1.ForeColor, &H80000012)
    Call PropBag.WriteProperty("FormBorder", m_FormBorder, m_def_FormBorder)
    Call PropBag.WriteProperty("Caption", Label1.Caption, "")
    Call PropBag.WriteProperty("ActiveColor", UserControl.BackColor, &HE0E0E0)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=Label1,Label1,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
    Set Font = Label1.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set Label1.Font = New_Font
    PropertyChanged "Font"
End Property


'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=Label1,Label1,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
    ForeColor = Label1.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    Label1.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=14,0,0,0
Public Property Get FormBorder() As Variant
    FormBorder = m_FormBorder
End Property

Public Property Let FormBorder(ByVal New_FormBorder As Variant)
    m_FormBorder = New_FormBorder
    PropertyChanged "FormBorder"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=Label1,Label1,-1,Caption
Public Property Get Caption() As String
Attribute Caption.VB_Description = "Returns/sets the text displayed in an object's title bar or below an object's icon."
    Caption = Label1.Caption
End Property

Public Property Let Caption(ByVal New_Caption As String)
    Label1.Caption() = New_Caption
    PropertyChanged "Caption"
    Label1.Left = (UserControl.Width - Label1.Width) / 2
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get ActiveColor() As OLE_COLOR
Attribute ActiveColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
    ActiveColor = UserControl.BackColor
End Property

Public Property Let ActiveColor(ByVal New_ActiveColor As OLE_COLOR)
    UserControl.BackColor() = New_ActiveColor
    PropertyChanged "ActiveColor"
    Label1.BackColor = UserControl.BackColor
    ActvClr = UserControl.BackColor
End Property

